package es.imib.cccf.beans;

import es.imib.persistence.Diagnosis;
import es.imib.persistence.daos.DiagnosisDAO;
import java.util.List;

public class DiagnosisPatientList extends PrimefacesList<DiagnosisBean, Diagnosis, DiagnosisDAO> {
    protected Long patient;

    public DiagnosisPatientList(Long patient, DiagnosisDAO dao) {
        super(dao);
        this.patient = patient;
    }

    public DiagnosisPatientList(Long patient, DiagnosisDAO dao, String sortField, boolean sortOrder) {
        super(dao, sortField, sortOrder);
        this.patient = patient;
    }

    public DiagnosisPatientList(Long patient, DiagnosisDAO dao, Integer startRow, Integer maxResults) {
        super(dao, startRow, maxResults);
        this.patient = patient;
    }

    public DiagnosisPatientList(Long patient, DiagnosisDAO dao, String sortField, boolean sortOrder, Integer startRow, Integer maxResults) {
        super(dao, sortField, sortOrder, startRow, maxResults);
        this.patient = patient;
    }

    @Override
    public void buscar() {
        
    }

    @Override
    public void listarTodos() {
        
    }

    @Override
    protected DiagnosisBean createBean(Diagnosis persistence) {
        return new DiagnosisBean(persistence);
    }

    @Override
    protected int findTotalResults() {
        return dao.countByPatient(patient).intValue();
    }

    @Override
    protected List<DiagnosisBean> findBeans(String sortName, boolean ascending, Integer startRow, Integer maxResults) {
        return transformarPersistenceCollectionToBeanCollection(dao.findByPatient(patient, sortName, ascending, startRow, maxResults));
    }

    @Override
    public Object getRowKey(DiagnosisBean object) {
        return object.getDiagnosis().getDiagnosisNdx();
    }
}
