package es.imib.cccf.beans;

import es.imib.persistence.Patient;
import es.imib.persistence.daos.PatientDAO;
import java.util.List;

public class PatientList extends PrimefacesList<PatientBean, Patient, PatientDAO> {

    public PatientList(PatientDAO dao) {
        super(dao);
    }

    public PatientList(PatientDAO dao, String sortField, boolean sortOrder) {
        super(dao, sortField, sortOrder);
    }

    public PatientList(PatientDAO dao, Integer startRow, Integer maxResults) {
        super(dao, startRow, maxResults);
    }

    public PatientList(PatientDAO dao, String sortField, boolean sortOrder, Integer startRow, Integer maxResults) {
        super(dao, sortField, sortOrder, startRow, maxResults);
    }

    @Override
    public void buscar() {
        
    }

    @Override
    public void listarTodos() {
        
    }

    @Override
    protected PatientBean createBean(Patient persistence) {
        return new PatientBean(persistence);
    }

    @Override
    protected int findTotalResults() {
        return dao.countAll().intValue();
    }

    @Override
    protected List<PatientBean> findBeans(String sortName, boolean ascending, Integer startRow, Integer maxResults) {
        return transformarPersistenceCollectionToBeanCollection(dao.findAll(sortName, ascending, startRow, maxResults));
    }

    @Override
    public Object getRowKey(PatientBean object) {
        return object.getPatient().getPatientNdx();
    }
}
