package es.imib.cccf.semantic.beans;

import es.imib.cccf.util.Util;
import es.imib.cccf.web.application.OntologyGuidedInputCache;
import es.imib.cccf.web.application.OntologyOWL;
import es.imib.cccf.web.application.PatientRange;
import es.imib.jsf.JSFUtil;
import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class ConfigurationWeb implements Serializable {

    protected OntologyOWL ontologyOWL;
    protected PatientRange patientRange;
    protected String range;
    protected OntologyGuidedInputCache ogi;

    public ConfigurationWeb() {
        ontologyOWL = Util.getOntologyOWL();
        patientRange = Util.getPatientRangeBean();
        ogi = Util.getOntologyGuidedInputCache();
        range = patientRange.getPatientsRange() + "";
    }

    public String getRange() {
        return range;
    }

    public void setRange(String range) {
        this.range = range;
    }

    public void reloadOWL() {
        ontologyOWL.reload();
        JSFUtil.addInfo("OK");
    }
    
    public void reloadOGI() {
        ogi.reload();
        JSFUtil.addInfo("OK");
    }

    public void reloadRange() {
        if (range != null && !range.trim().equals("")) {
            try {
                int a = Integer.parseInt(range);
                if (a >= 0 && a <= 100) {
                    patientRange.setPatientsRange(a);
                    JSFUtil.addInfo("OK");
                    return;
                }
            } catch (Exception ex) {

            }
        }
        range = patientRange.getPatientsRange() + "";
        JSFUtil.addError("Number format incorrect");
    }
}
