package es.imib.cccf.semantic.beans;

import es.imib.semantic.Tuple;
import java.util.List;
import org.openrdf.model.URI;
import org.semanticweb.owlapi.model.OWLDataProperty;

public class DepartmentBean extends SemanticBean {
    // Data property
    public static String DESIGNATION = "designation";
    // Properties
    protected String designation;

    public DepartmentBean(URI uri, String type) {
        super(uri, type);
        OWLDataProperty designationProperty = classToOWL.getDataProperty(DESIGNATION);
        List<Tuple> tuples = rdfQuery.runQueryTuplesByURI(uri);
        for (Tuple t : tuples) {
            if (t.getPredicate().stringValue().equals(designationProperty.toStringID())) {
                designation = t.getObject().stringValue();
            }
        }
        loadTypes(tuples);
    }
    
    public String getDesignation() {
        return designation;
    }
}
