package es.imib.cccf.semantic.beans;

import es.imib.cccf.util.Util;
import es.imib.export.ClassToOWL;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import org.primefaces.model.chart.PieChartModel;

public class PieChartModelBean implements Serializable {
    protected HashMap<String, Integer> map;    
    protected PieChartModel chart;
    protected int num;
    protected List<String> keys;
    protected int month;
    protected String typeSelected;
    protected ClassToOWL classToOWL;

    public PieChartModelBean(HashMap<String, Integer> map, int num, String label, int month) {
        classToOWL = Util.getOntologyOWL().getClassToOWL();
        this.map = map;        
        this.num = num;
        this.month = month;
        String seriesColor = null;
        for (String s : map.keySet()) {
            String color = classToOWL.getColor(s);
            if (color == null) {
                continue;
            }
            color = color.replaceAll("#", "");
            if (seriesColor == null) {
                seriesColor = color;
            } else {
                seriesColor += "," + color; 
            }
        }
        chart = Util.constructPieChartModel(map, "Month " + month + "(over " + num + " " + label + ")", seriesColor);
        keys = new ArrayList<>();
        keys.addAll(map.keySet());
    }
    
    public PieChartModelBean(HashMap<String, Integer> map, int num, String label, int month, String therapy) {
        classToOWL = Util.getOntologyOWL().getClassToOWL();
        this.map = map;        
        this.num = num;
        this.month = month;
        String seriesColor = null;
        for (String s : map.keySet()) {
            String color = classToOWL.getColor(s);
            if (color == null) {
                continue;
            }
            color = color.replaceAll("#", "");
            if (seriesColor == null) {
                seriesColor = color;
            } else {
                seriesColor += ", " + color; 
            }
        }
        chart = Util.constructPieChartModel(map, "Therapy: " + therapy + " --> Month " + month + "(over " + num + " " + label + ")", seriesColor);
        keys = new ArrayList<>();
        keys.addAll(map.keySet());
    }

    public String getTypeSelected() {
        return typeSelected;
    }

    public void setTypeSelected(String typeSelected) {
        this.typeSelected = typeSelected;
    }

    public int getMonth() {
        return month;
    }

    public int getNum() {
        return num;
    }

    public HashMap<String, Integer> getMap() {
        return map;
    }

    public PieChartModel getChart() {
        return chart;
    }

    public List<String> getKeys() {
        return keys;
    }
}
