package es.imib.cccf.semantic.collections;

import es.imib.export.ClassToOWL;
import java.io.Serializable;
import java.util.List;
import org.semanticweb.owlapi.model.OWLAnnotationProperty;
import org.semanticweb.owlapi.model.OWLClass;

public class OWLClassDescription implements Serializable {
    protected OWLClass owlClass;
    protected String description;
    protected ClassToOWL classToOWL;
    protected OWLAnnotationProperty annotationProperty;

    public OWLClassDescription(OWLClass owlClass, ClassToOWL classToOWL, OWLAnnotationProperty annotationProperty) {
        this.owlClass = owlClass;                
        this.classToOWL = classToOWL;        
        this.annotationProperty = annotationProperty;
        List<String> s = classToOWL.getAnnotationPropertyValueWithoutsuperclasses(annotationProperty, owlClass);
        if (!s.isEmpty()) {
            description = s.get(0);
        }
    }

    public OWLClass getOwlClass() {
        return owlClass;
    }

    public String getDescription() {
        return description;
    }
}
