package es.imib.cccf.semantic.collections.beans;

import es.imib.semantic.Tuple;
import java.util.List;
import org.openrdf.model.URI;
import org.semanticweb.owlapi.model.OWLDataProperty;

public class PatientBean extends SemanticBeanCollection {

    protected Integer age;
    protected String gender;

    public PatientBean(URI uri, List<Tuple> tuples) {
        super(uri, tuples);
    }

    @Override
    protected void loadSemanticInformation(List<Tuple> tuples) {
        OWLDataProperty ageProperty = classToOWL.getDataProperty(es.imib.cccf.semantic.beans.PatientBean.AGE_PROPERTY);
        OWLDataProperty genderProperty = classToOWL.getDataProperty(es.imib.cccf.semantic.beans.PatientBean.GENDER_PROPERTY);
        for (Tuple t : tuples) {
            if (t.getSubject().stringValue().equals(uri.toString())) {
                if (t.getPredicate().stringValue().equals(ageProperty.toStringID())) {
                    try {
                        age = Integer.parseInt(t.getObject().stringValue());
                    } catch (Exception ex) {

                    }
                } else if (t.getPredicate().stringValue().equals(genderProperty.toStringID())) {
                    gender = t.getObject().stringValue();
                } else {
                    loadId(t);
                }
            }
            if (id != null) {
                if (gender != null) {
                    if (age != null) {
                        break;
                    }
                }
            }
        }
    }

    public Integer getAge() {
        return age;
    }

    public String getGender() {
        return gender;
    }
}
