package es.imib.cccf.test;

import es.imib.classification.ASAClassification;
import es.imib.classification.ClinicalDepartment;
import es.imib.classification.MedicationAdministration;
import es.imib.classification.MenopauseStatus;
import es.imib.export.ClassToOWL;

public class CreateIndividualsOfGenericClassifications {
    public static void main(String args[]) {
        try {
            ClassToOWL classToOWL = new ClassToOWL("http://www.imib.es/ontologies/disease-times", "/freiburg/owl/disease-times.owl");            
            ASAClassification asaClassification = new ASAClassification(classToOWL, "ASA_ClassificationSystem");
            asaClassification.loadOWLClassifications();
            MenopauseStatus menopauseStatus = new MenopauseStatus(classToOWL, "MenopauseStatus");
            menopauseStatus.loadOWLClassifications();
            MedicationAdministration medicationAdministration = new MedicationAdministration(classToOWL, "MedicationAdministration");
            medicationAdministration.loadOWLClassifications();
            ClinicalDepartment clinicalDepartment = new ClinicalDepartment(classToOWL, "ClinicalDepartment");
            clinicalDepartment.loadOWLClassifications();
            classToOWL.saveOntology();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
