package es.imib.cccf.test;

import es.imib.export.ClassToOWL;
import es.imib.export.DiagnosisBean;
import es.imib.export.PatientBean;
import es.imib.persistence.Diagnosis;
import es.imib.persistence.Patient;
import es.imib.persistence.daos.DiagnosisDAO;
import es.imib.persistence.daos.PatientDAO;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.semanticweb.owlapi.model.OWLClass;

public class TestLoadPatients implements Serializable {
    public static HashMap<String, String> mapTherapies;

    public static void main(String args[]) {
        mapTherapies = new HashMap<>();
        try {
            File excel = new File("/MapTherapies.xlsx");
            InputStream is = new FileInputStream(excel);
            Workbook wb = WorkbookFactory.create(is);
            Sheet sheet = wb.getSheetAt(0);
            for (int i = 1; i < sheet.getLastRowNum() + 1; i++) {
                Row row = sheet.getRow(i);
                String key = row.getCell(0).getStringCellValue();
                String value = row.getCell(1).getStringCellValue();
                mapTherapies.put(key, value);
            }
        } catch (Exception ex) {
            ex.printStackTrace();
            return;
        }
        PatientDAO patientDAO = PatientDAO.getPatientDAO();
        Long count = patientDAO.countAllWithDiagnosis();
        count = count / 61;
        System.out.println(count);
        int i = 0;
        for (int j = 0;; j++) {
            List<Patient> patients = patientDAO.findAllWithDiagnosis(null, false, i, 85);
            i += 85;
            if (patients.isEmpty()) {
                break;
            }
            //System.out.println(j + " -- " + patients.size() + " --1-- " + patients.get(0).getPatientNdx() + " --last-- " + patients.get(patients.size() - 1).getPatientNdx());            
            List<PatientBean> pbs = new ArrayList<>();
            for (Patient p : patients) {
                PatientBean pb = new PatientBean(p);
                pbs.add(pb);
            }
            /*if (j > 0) {
                break;
            }*/
            System.out.println("PASO: " + j);
            loadOwlFile(j, pbs);
        }
    }

    private static void loadOwlFile(int j, List<PatientBean> patientsBeans) {
        try {
            /*ClassToOWL ctowl = new ClassToOWL("http://www.imib.es/ontologies/disease-times", "/freiburg/owl/disease-times.owl");
            List<Diagnosis> ds = DiagnosisDAO.getDiagnosisDAO().findAllWithPatient(null, false);
            for (Diagnosis d : ds) {
                DiagnosisBean db = new DiagnosisBean(d, null);
                OWLClass oc = ctowl.getClass("Diagnosis");
                String patientName = "D_" + db.getBean().getDiagnosisNdx();
                ctowl.createIndividual(patientName, db.getBean().getDiagnosisNdx().toString(), oc);
                db.setName(patientName);                
                db.setClassToOWL(ctowl);
                db.loadIndividual();
                db.loadSemanticInformation();
            }
            ctowl.saveOntologyAs("file:///test_diagnosis.owl");*/
            ClassToOWL ctowl = new ClassToOWL("http://www.imib.es/ontologies/disease-times", "/freiburg/owl/disease-times.owl");
            for (PatientBean pb : patientsBeans) {
                OWLClass oc = ctowl.getClass("Patient");
                String patientName = "Patient_" + pb.getBean().getPatientNdx();
                ctowl.createIndividual(patientName, pb.getBean().getPatientNdx().toString(), oc);  
                pb.setName(patientName);
                pb.setClassToOWL(ctowl);
                pb.loadSemanticInformation();
            }
            ctowl.saveOntologyAs("file:///freiburg/owl/individuals/step_" + j + ".owl");
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
