package es.imib.cccf.visitors;

import java.io.Serializable;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLClassExpressionVisitor;
import org.semanticweb.owlapi.model.OWLDataAllValuesFrom;
import org.semanticweb.owlapi.model.OWLDataExactCardinality;
import org.semanticweb.owlapi.model.OWLDataHasValue;
import org.semanticweb.owlapi.model.OWLDataMaxCardinality;
import org.semanticweb.owlapi.model.OWLDataMinCardinality;
import org.semanticweb.owlapi.model.OWLDataProperty;
import org.semanticweb.owlapi.model.OWLDataSomeValuesFrom;
import org.semanticweb.owlapi.model.OWLDatatype;
import org.semanticweb.owlapi.model.OWLObjectAllValuesFrom;
import org.semanticweb.owlapi.model.OWLObjectComplementOf;
import org.semanticweb.owlapi.model.OWLObjectExactCardinality;
import org.semanticweb.owlapi.model.OWLObjectHasSelf;
import org.semanticweb.owlapi.model.OWLObjectHasValue;
import org.semanticweb.owlapi.model.OWLObjectIntersectionOf;
import org.semanticweb.owlapi.model.OWLObjectMaxCardinality;
import org.semanticweb.owlapi.model.OWLObjectMinCardinality;
import org.semanticweb.owlapi.model.OWLObjectOneOf;
import org.semanticweb.owlapi.model.OWLObjectProperty;
import org.semanticweb.owlapi.model.OWLObjectSomeValuesFrom;
import org.semanticweb.owlapi.model.OWLObjectUnionOf;
import org.semanticweb.owlapi.model.OWLQuantifiedRestriction;
import org.semanticweb.owlapi.model.OWLRestriction;

public class OWLClassExpressionVisitorOGI implements OWLClassExpressionVisitor, Serializable {

    protected OWLClass oc;
    protected OWLObjectProperty oop;
    protected OWLDataProperty odp;
    protected OWLDatatype odt;

    public OWLClassExpressionVisitorOGI() {

    }

    @Override
    public void visit(OWLClass owlc) {
        oc = owlc;
    }

    @Override
    public void visit(OWLObjectIntersectionOf owloio) {
        System.out.println(owloio);
    }

    @Override
    public void visit(OWLObjectUnionOf owlouo) {
        System.out.println(owlouo);
    }

    @Override
    public void visit(OWLObjectComplementOf owloco) {
        System.out.println(owloco);
    }

    @Override
    public void visit(OWLObjectSomeValuesFrom owlsvf) {
        loadOWLObjectProperty(owlsvf);
    }

    @Override
    public void visit(OWLObjectAllValuesFrom owlvf) {
        loadOWLObjectProperty(owlvf);
    }

    @Override
    public void visit(OWLObjectHasValue owlohv) {

    }

    @Override
    public void visit(OWLObjectMinCardinality owlomc) {
        loadOWLObjectProperty(owlomc);
    }

    @Override
    public void visit(OWLObjectExactCardinality owloec) {
        loadOWLObjectProperty(owloec);
    }

    @Override
    public void visit(OWLObjectMaxCardinality owlomc) {
        loadOWLObjectProperty(owlomc);
    }

    @Override
    public void visit(OWLObjectHasSelf owlohs) {

    }

    @Override
    public void visit(OWLObjectOneOf owlooo) {
        System.out.println(owlooo);
    }

    @Override
    public void visit(OWLDataSomeValuesFrom o) {
        loadOWLDataProperty(o);
    }

    @Override
    public void visit(OWLDataAllValuesFrom owldvf) {
        loadOWLDataProperty(owldvf);
    }

    @Override
    public void visit(OWLDataHasValue owldhv) {

    }

    @Override
    public void visit(OWLDataMinCardinality owldmc) {
        loadOWLDataProperty(owldmc);
    }

    @Override
    public void visit(OWLDataExactCardinality owldec) {
        loadOWLDataProperty(owldec);
    }

    @Override
    public void visit(OWLDataMaxCardinality owldmc) {
        loadOWLDataProperty(owldmc);
    }

    protected void loadOWLDataProperty(OWLQuantifiedRestriction restriction) {
        if (restriction.getProperty() instanceof OWLDataProperty) {
            odp = (OWLDataProperty) restriction.getProperty();
        }
        if (restriction.getFiller() instanceof OWLDatatype) {
            odt = (OWLDatatype) restriction.getFiller();
        }
    }

    protected void loadOWLObjectProperty(OWLQuantifiedRestriction restriction) {
        if (restriction.getProperty() instanceof OWLObjectProperty) {
            oop = (OWLObjectProperty) restriction.getProperty();
        }
        if (restriction.getFiller() instanceof OWLClass) {
            oc = (OWLClass) restriction.getFiller();
        }
    }

    public OWLClass getOc() {
        return oc;
    }

    public OWLObjectProperty getOop() {
        return oop;
    }

    public OWLDataProperty getOdp() {
        return odp;
    }

    public OWLDatatype getOdt() {
        return odt;
    }
}
