package es.imib.cccf.web;

import es.imib.persistence.daos.PatientDAO;
import java.io.Serializable;
import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import org.primefaces.model.chart.Axis;
import org.primefaces.model.chart.AxisType;
import org.primefaces.model.chart.LineChartModel;
import org.primefaces.model.chart.LineChartSeries;
import org.primefaces.model.chart.PieChartModel;

@ManagedBean
@ViewScoped
public class PatientDashboardWeb implements Serializable {

    protected PatientDAO patientDAO;
    protected PieChartModel pieSexModel;
    protected LineChartModel lineAgeModel;

    public PatientDashboardWeb() {
        patientDAO = PatientDAO.getPatientDAO();
        pieSexModel = new PieChartModel();
        List<Object[]> sexs = patientDAO.findGroupBy("salutation");
        for (Object[] obj : sexs) {
            if (obj[0] == null) {
                pieSexModel.set("Undefined", Integer.parseInt(obj[1].toString()));
            } else {
                pieSexModel.set(obj[0].toString(), Integer.parseInt(obj[1].toString()));
            }
        }
        pieSexModel.setShowDataLabels(true);
        pieSexModel.setLegendPosition("e");
        pieSexModel.setDiameter(200);
        lineAgeModel = new LineChartModel();
        List<Object[]> ages = patientDAO.findGroupBy("yearsOld");
        LineChartSeries series = new LineChartSeries();
        series.setLabel("Ages");
        for (Object[] obj : ages) {
            if (obj[0] == null) {
                series.set("Undefined", Integer.parseInt(obj[1].toString()));
            } else {
                series.set(obj[0].toString(), Integer.parseInt(obj[1].toString()));
            }
        }
        lineAgeModel.addSeries(series);
        Axis yAxis = lineAgeModel.getAxis(AxisType.Y);
        yAxis.setMin(0);
        yAxis.setMax(300);
        Axis xAxis = lineAgeModel.getAxis(AxisType.X);
        xAxis.setMin(0);
        xAxis.setMax(120);
    }

    public PieChartModel getPieSexModel() {
        return pieSexModel;
    }

    public LineChartModel getLineAgeModel() {
        return lineAgeModel;
    }
}
