package es.imib.cccf.web.application;

import es.imib.cccf.visitors.OWLClassExpressionVisitorOGI;
import java.util.ArrayList;
import java.util.List;
import org.semanticweb.owlapi.model.OWLAxiom;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLDataProperty;
import org.semanticweb.owlapi.model.OWLDatatype;
import org.semanticweb.owlapi.model.OWLSubClassOfAxiom;

public class OGIDataProperty extends OGIOwlItem<OWLDataProperty> {
    protected List<OGIClass> sources;
    protected OWLDatatype datatype;

    public OGIDataProperty(OWLDataProperty bean) {
        super(bean);
        sources = new ArrayList<>();
    }

    @Override
    public void loadSemanticInformacion(List<OGIClass> ogics) {
        for (OWLAxiom oa : bean.getReferencingAxioms(ontologyOWL.getClassToOWL().getOntology(), true)) {            
            if (oa instanceof OWLSubClassOfAxiom) {
                OWLSubClassOfAxiom axiom = (OWLSubClassOfAxiom) oa;
                if (axiom.getSubClass() instanceof OWLClass) {
                    OWLClass o = (OWLClass) axiom.getSubClass().asOWLClass();                    
                    OWLClassExpressionVisitorOGI expressionVisitorOGI = new OWLClassExpressionVisitorOGI();
                    axiom.getSuperClass().accept(expressionVisitorOGI);  
                    for (OGIClass ogic : ogics) {
                        if (ogic.getUri().equals(o.toStringID())) {
                            addSource(ogic);
                            ogic.addDataProperty(this);
                            ogic.addProperty(this);
                        }
                        if (expressionVisitorOGI.getOdt()!= null) {
                            datatype = expressionVisitorOGI.getOdt();
                        }
                    }
                }
            }
        }
    }

    public List<OGIClass> getSources() {
        return sources;
    }

    public OWLDatatype getDatatype() {
        return datatype;
    }
    
    protected void addSource(OGIClass ogic) {
        for (OGIClass o : sources) {
            if (o.getUri().equals(ogic.getUri())) {
                return;
            }
        }
        sources.add(ogic);
    }
}
