package es.imib.cccf.web.application;

import es.imib.export.ClassToOWL;
import es.imib.jsf.JSFUtil;
import java.io.Serializable;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;

@ManagedBean
@ApplicationScoped
public class OntologyOWL implements Serializable {
    protected ClassToOWL classToOWL;
    protected ClassToOWL icd10ToOWL;
    protected String iri_owl;
    protected String file_owl;
    protected String iri_owl_icd10;
    protected String file_owl_icd10;

    public OntologyOWL() {
        iri_owl = JSFUtil.getStringApplicationParameter("IRI_OWL");
        file_owl = JSFUtil.getStringApplicationParameter("FILE_OWL");
        iri_owl_icd10 = JSFUtil.getStringApplicationParameter("IRI_OWL_ICD10");
        file_owl_icd10 = JSFUtil.getStringApplicationParameter("FILE_OWL_ICD10");
        try {            
            classToOWL = new ClassToOWL(iri_owl, file_owl);
            icd10ToOWL = new ClassToOWL(iri_owl_icd10, file_owl_icd10);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    public ClassToOWL getIcd10ToOWL() {
        return icd10ToOWL;
    }

    public String getIri_owl_icd10() {
        return iri_owl_icd10;
    }

    public String getFile_owl_icd10() {
        return file_owl_icd10;
    }

    public String getIri_owl() {
        return iri_owl;
    }

    public String getFile_owl() {
        return file_owl;
    }

    public ClassToOWL getClassToOWL() {
        return classToOWL;
    }
    
    public void reload() {
        try {            
            classToOWL = new ClassToOWL(iri_owl, file_owl);
            icd10ToOWL = new ClassToOWL(iri_owl_icd10, file_owl_icd10);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
