package es.imib.cccf.web.application;

import es.imib.jsf.JSFUtil;
import java.io.Serializable;
import java.util.List;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import org.openrdf.query.QueryLanguage;
import org.openrdf.query.TupleQuery;
import org.openrdf.query.TupleQueryResult;
import org.openrdf.repository.Repository;
import org.openrdf.repository.RepositoryConnection;
import org.semanticweb.owlapi.model.OWLDataProperty;
import org.semanticweb.owlapi.model.OWLIndividual;
import virtuoso.sesame2.driver.VirtuosoRepository;

@ManagedBean
@ApplicationScoped
public class RepositoryRDF implements Serializable {
    protected String virtuoso_uri;
    protected String virtuoso_username;
    protected String virtuoso_password;
    protected Repository repository;

    public RepositoryRDF() {
        virtuoso_uri = JSFUtil.getStringApplicationParameter("Virtuoso_URI");
        virtuoso_username = JSFUtil.getStringApplicationParameter("Virtuoso-Username");
        virtuoso_password = JSFUtil.getStringApplicationParameter("Virtuoso-Password");
        repository = new VirtuosoRepository(virtuoso_uri, virtuoso_username, virtuoso_password);
        try {
            repository.initialize();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    public String getVirtuoso_uri() {
        return virtuoso_uri;
    }

    public String getVirtuoso_username() {
        return virtuoso_username;
    }

    public String getVirtuoso_password() {
        return virtuoso_password;
    }

    public Repository getRepository() {
        return repository;
    }
}
