package es.imib.classification;

import es.imib.export.ClassToOWL;
import org.semanticweb.owlapi.model.OWLAnnotation;
import org.semanticweb.owlapi.model.OWLAnnotationProperty;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLLiteral;

public class ASAClassification extends ClassificationInterface {
    protected OWLAnnotationProperty code;

    public ASAClassification(ClassToOWL classToOWL, String className) {
        super(classToOWL, className);
        code = classToOWL.getAnnotationProperty("code");
    }

    @Override
    public void createIndividual(OWLClass resource, Object... parameters) {
        for (OWLAnnotation oa : resource.getAnnotations(classToOWL.getOntology(), code)) {
            if (oa.getValue() instanceof OWLLiteral) {
                OWLLiteral literal = (OWLLiteral) oa.getValue();
                String s = literal.getLiteral();
                classToOWL.createIndividual(className + "_" + s, s, resource);
                return;
            }
        }
    }
}
