package es.imib.classification;

import es.imib.export.ClassToOWL;
import java.io.Serializable;
import java.util.List;
import org.semanticweb.owlapi.model.OWLClass;

public abstract class ClassificationInterface implements Serializable {
    protected ClassToOWL classToOWL;
    protected String className;

    public ClassificationInterface(ClassToOWL classToOWL, String className) {
        this.classToOWL = classToOWL;
        this.className = className;        
    }
    
    public void loadOWLClassifications() {
        OWLClass mainClass = classToOWL.getClass(className);
        List<OWLClass> resources = classToOWL.getAllSheets(mainClass);
        for (OWLClass resource : resources) {
            createIndividual(resource);
        }
    }
    
    public abstract void createIndividual(OWLClass resource, Object... parameters);
}
