package es.imib.classification;

import es.imib.export.ClassToOWL;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLDataProperty;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.semanticweb.owlapi.model.OWLIndividual;

public class ClinicalDepartment extends ClassificationInterface {

    protected OWLDataProperty designation;
    protected Sheet sheet;
    protected InputStream is;

    public ClinicalDepartment(ClassToOWL classToOWL, String className) {
        super(classToOWL, className);
        designation = classToOWL.getDataProperty("designation");
        try {
            File excel = new File("/FreiburgClinicalDepartments.xlsx");
            is = new FileInputStream(excel);
            Workbook wb = WorkbookFactory.create(is);
            sheet = wb.getSheetAt(1);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    @Override
    public void loadOWLClassifications() {
        for (int i = 1; i < sheet.getLastRowNum() + 1; i++) {
            Row row = sheet.getRow(i);
            if (row == null) {
                continue;
            }
            if (row.getCell(0) == null) {
                continue;
            }
            String germanName = row.getCell(0).getStringCellValue();
            if (row.getCell(2) == null) {
                continue;
            }
            String cn = row.getCell(2).getStringCellValue();
            OWLClass oc = classToOWL.getClass(cn);
            createIndividual(oc, germanName);
        }
        try {
            is.close();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    @Override
    public void createIndividual(OWLClass resource, Object... parameters) {
        String id = parameters[0].toString();
        String id2 = parameters[0].toString().replaceAll(" ", "_");
        classToOWL.createIndividual("Clinical_Department_" + id2, id, resource);
        OWLIndividual ind = classToOWL.getIndividual("Clinical_Department_" + id2);
        classToOWL.createStringDataProperty(designation, ind, id);
    }
}
