package es.imib.classification;

import es.imib.export.ClassToOWL;
import org.semanticweb.owlapi.model.OWLAnnotation;
import org.semanticweb.owlapi.model.OWLAnnotationProperty;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLLiteral;

public class MedicationAdministration extends ClassificationInterface {    
    protected OWLAnnotationProperty acronym;

    public MedicationAdministration(ClassToOWL classToOWL, String className) {
        super(classToOWL, className);
        acronym = classToOWL.getAnnotationProperty("acronym");
    }

    @Override
    public void createIndividual(OWLClass resource, Object... parameters) {
        for (OWLAnnotation oa : resource.getAnnotations(classToOWL.getOntology(), acronym)) {
            if (oa.getValue() instanceof OWLLiteral) {
                OWLLiteral literal = (OWLLiteral) oa.getValue();
                String s = literal.getLiteral();
                classToOWL.createIndividual(className + "_" + s, s, resource);
                return;
            }
        }
    }
}
