package es.imib.export;

import java.io.Serializable;
import org.semanticweb.owlapi.model.OWLDataProperty;
import org.semanticweb.owlapi.model.OWLIndividual;

public abstract class OWLMigrationBean<T> implements Serializable {
    protected T bean;
    protected String name;
    protected ClassToOWL classToOWL;
    protected OWLIndividual individual;

    public OWLMigrationBean(T bean) {
        this.bean = bean;
    }

    public T getBean() {
        return bean;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ClassToOWL getClassToOWL() {
        return classToOWL;
    }

    public void setClassToOWL(ClassToOWL classToOWL) {
        this.classToOWL = classToOWL;
    }

    public OWLIndividual getIndividual() {
        return individual;
    }

    public void setIndividual(OWLIndividual individual) {
        this.individual = individual;
    }
    
    public void loadIndividual() {
        individual = classToOWL.getIndividual(name);
    }
    
    public abstract void loadSemanticInformation();
    
    public void addOrder(int orden) {
        OWLDataProperty owldp = classToOWL.getDataProperty("order");
        classToOWL.createLongDataProperty(owldp, individual, new Long(orden));
    }
    
    public void addLast() {
        OWLDataProperty owldp = classToOWL.getDataProperty("last");
        classToOWL.createLongDataProperty(owldp, individual, new Long(1));
    }
}
