package es.imib.persistence;

import java.io.Serializable;
import java.sql.Timestamp;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//verlaeufe
@Entity
@Table(name = "verlaeufe")
public class Course implements Serializable {
    @Id
    @Column(name = "verlauf_ndx", nullable = false)
    protected Long courseNdx;
    @Column(name = "diagnose_ndx")
    protected Long diagnosisNdx;
    @Column(name = "patient_ndx")
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "verlaufsart")
    protected String history;
    @Column(name = "verlaufsart_text")
    protected String historyText;
    @Column(name = "vl_jahr")
    protected Long vlYear;
    @Column(name = "vl_abstand")
    protected Long vlDistance;
    @Column(name = "untersuchungsdatum")
    protected Timestamp examinationDate;
    @Column(name = "untersuchungsdatum_geschaetzt")
    protected String examinationDateValued;
    @Column(name = "extern_ja_nein")
    protected String externallyYesNo;
    @Column(name = "fall_art")
    protected String eventType;
    @Column(name = "tumorstatus_gesamt")
    protected String totalTumorStatus;
    @Column(name = "tumorstatus_gesamt_text")
    protected String totalTumorStatusText;
    @Column(name = "untersuchungsart")
    protected String investigativeArt;
    @Column(name = "untersuchungsart_text")
    protected String investigativeArtText;
    @Column(name = "untersuchungsanlass")
    protected String investigationOccasion;
    @Column(name = "untersuchungsanlass_text")
    protected String investigationOccasionText;
    @Column(name = "tumorstatus_lokal")
    protected String tumorStatusLocally;
    @Column(name = "tumorstatus_lokal_text")
    protected String tumorStatusLocallyText;
    @Column(name = "tumorstatus_lymphknoten")
    protected String tumorNodeStatus;
    @Column(name = "tumorstatus_lymphknoten_text")
    protected String tumorNodeStatusText;
    @Column(name = "lymphknoten_entnommen")
    protected String removedLymphNodes;
    @Column(name = "lymphknoten_befallen")
    protected String infectedLymphNodes;
    @Column(name = "tumorstatus_fernmetastasen")
    protected String tumorMetastasisStatusRemotely;
    @Column(name = "tumorstatus_fernmetastasen_text")
    protected String tumorMetastasisStatusRemotelyText;
    @Column(name = "r_klassifikation_global")
    protected String rGlobalClassification;
    @Column(name = "r_klassifikation_global_text")
    protected String rGlobalClassificationText;
    @Column(name = "tnm_version")
    protected Long tnmVersion;
    @Column(name = "tnm_stadium")
    protected String tnmStadium;
    @Column(name = "tnm_t_prefix")
    protected String tnmTPrefix;
    @Column(name = "tnm_t_wert")
    protected String tnmTWert;
    @Column(name = "tnm_t_suffix")
    protected String tnmTSuffix;
    @Column(name = "tnm_n_prefix")
    protected String tnmNPrefix;
    @Column(name = "tnm_n_wert")
    protected String tnmNWert;
    @Column(name = "tnm_n_suffix")
    protected String tnmNSuffix;
    @Column(name = "tnm_m_prefix")
    protected String tnmMPrefix;
    @Column(name = "tnm_m_wert")
    protected String tnmMWert;
    @Column(name = "tnm_m_suffix")
    protected String tnmMSuffix;
    @Column(name = "l_kategorie")
    protected String lCategory;
    @Column(name = "v_kategorie")
    protected String vCategory;
    @Column(name = "pn_kategorie")
    protected String pnCategory;
    @Column(name = "s_kategorie")
    protected String sCategory;
    @Column(name = "zustand_ndx")
    protected Long patientConditionNdx;
    @Column(name = "nach_therapie")
    protected String afterTherapy;
    @Column(name = "nach_therapie_text")
    protected String afterTherapyText;
    @Column(name = "biochemisches_rezidiv")
    protected String biochemicalRecurrence;
    @Column(name = "freitext")
    protected String freeText;
    @Column(name = "erstelldatum")
    protected Timestamp creationDate;
    @Column(name = "ersteller_abteilung")
    protected String createDepartment;
    @Column(name = "aenderungsdatum")
    protected Timestamp updateDate;
    @Column(name = "aenderungs_abteilung")
    protected String updateDepartment;

    public Long getCourseNdx() {
        return courseNdx;
    }

    public void setCourseNdx(Long courseNdx) {
        this.courseNdx = courseNdx;
    }

    public Long getDiagnosisNdx() {
        return diagnosisNdx;
    }

    public void setDiagnosisNdx(Long diagnosisNdx) {
        this.diagnosisNdx = diagnosisNdx;
    }

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public String getHistory() {
        return history;
    }

    public void setHistory(String history) {
        this.history = history;
    }

    public String getHistoryText() {
        return historyText;
    }

    public void setHistoryText(String historyText) {
        this.historyText = historyText;
    }

    public Long getVlYear() {
        return vlYear;
    }

    public void setVlYear(Long vlYear) {
        this.vlYear = vlYear;
    }

    public Long getVlDistance() {
        return vlDistance;
    }

    public void setVlDistance(Long vlDistance) {
        this.vlDistance = vlDistance;
    }

    public Timestamp getExaminationDate() {
        return examinationDate;
    }

    public void setExaminationDate(Timestamp examinationDate) {
        this.examinationDate = examinationDate;
    }

    public String getExaminationDateValued() {
        return examinationDateValued;
    }

    public void setExaminationDateValued(String examinationDateValued) {
        this.examinationDateValued = examinationDateValued;
    }

    public String getExternallyYesNo() {
        return externallyYesNo;
    }

    public void setExternallyYesNo(String externallyYesNo) {
        this.externallyYesNo = externallyYesNo;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getTotalTumorStatus() {
        return totalTumorStatus;
    }

    public void setTotalTumorStatus(String totalTumorStatus) {
        this.totalTumorStatus = totalTumorStatus;
    }

    public String getTotalTumorStatusText() {
        return totalTumorStatusText;
    }

    public void setTotalTumorStatusText(String totalTumorStatusText) {
        this.totalTumorStatusText = totalTumorStatusText;
    }

    public String getInvestigativeArt() {
        return investigativeArt;
    }

    public void setInvestigativeArt(String investigativeArt) {
        this.investigativeArt = investigativeArt;
    }

    public String getInvestigativeArtText() {
        return investigativeArtText;
    }

    public void setInvestigativeArtText(String investigativeArtText) {
        this.investigativeArtText = investigativeArtText;
    }

    public String getInvestigationOccasion() {
        return investigationOccasion;
    }

    public void setInvestigationOccasion(String investigationOccasion) {
        this.investigationOccasion = investigationOccasion;
    }

    public String getInvestigationOccasionText() {
        return investigationOccasionText;
    }

    public void setInvestigationOccasionText(String investigationOccasionText) {
        this.investigationOccasionText = investigationOccasionText;
    }

    public String getTumorStatusLocally() {
        return tumorStatusLocally;
    }

    public void setTumorStatusLocally(String tumorStatusLocally) {
        this.tumorStatusLocally = tumorStatusLocally;
    }

    public String getTumorStatusLocallyText() {
        return tumorStatusLocallyText;
    }

    public void setTumorStatusLocallyText(String tumorStatusLocallyText) {
        this.tumorStatusLocallyText = tumorStatusLocallyText;
    }

    public String getTumorNodeStatus() {
        return tumorNodeStatus;
    }

    public void setTumorNodeStatus(String tumorNodeStatus) {
        this.tumorNodeStatus = tumorNodeStatus;
    }

    public String getTumorNodeStatusText() {
        return tumorNodeStatusText;
    }

    public void setTumorNodeStatusText(String tumorNodeStatusText) {
        this.tumorNodeStatusText = tumorNodeStatusText;
    }

    public String getRemovedLymphNodes() {
        return removedLymphNodes;
    }

    public void setRemovedLymphNodes(String removedLymphNodes) {
        this.removedLymphNodes = removedLymphNodes;
    }

    public String getInfectedLymphNodes() {
        return infectedLymphNodes;
    }

    public void setInfectedLymphNodes(String infectedLymphNodes) {
        this.infectedLymphNodes = infectedLymphNodes;
    }

    public String getTumorMetastasisStatusRemotely() {
        return tumorMetastasisStatusRemotely;
    }

    public void setTumorMetastasisStatusRemotely(String tumorMetastasisStatusRemotely) {
        this.tumorMetastasisStatusRemotely = tumorMetastasisStatusRemotely;
    }

    public String getTumorMetastasisStatusRemotelyText() {
        return tumorMetastasisStatusRemotelyText;
    }

    public void setTumorMetastasisStatusRemotelyText(String tumorMetastasisStatusRemotelyText) {
        this.tumorMetastasisStatusRemotelyText = tumorMetastasisStatusRemotelyText;
    }

    public String getrGlobalClassification() {
        return rGlobalClassification;
    }

    public void setrGlobalClassification(String rGlobalClassification) {
        this.rGlobalClassification = rGlobalClassification;
    }

    public String getrGlobalClassificationText() {
        return rGlobalClassificationText;
    }

    public void setrGlobalClassificationText(String rGlobalClassificationText) {
        this.rGlobalClassificationText = rGlobalClassificationText;
    }

    public Long getTnmVersion() {
        return tnmVersion;
    }

    public void setTnmVersion(Long tnmVersion) {
        this.tnmVersion = tnmVersion;
    }

    public String getTnmStadium() {
        return tnmStadium;
    }

    public void setTnmStadium(String tnmStadium) {
        this.tnmStadium = tnmStadium;
    }

    public String getTnmTPrefix() {
        return tnmTPrefix;
    }

    public void setTnmTPrefix(String tnmTPrefix) {
        this.tnmTPrefix = tnmTPrefix;
    }

    public String getTnmTWert() {
        return tnmTWert;
    }

    public void setTnmTWert(String tnmTWert) {
        this.tnmTWert = tnmTWert;
    }

    public String getTnmTSuffix() {
        return tnmTSuffix;
    }

    public void setTnmTSuffix(String tnmTSuffix) {
        this.tnmTSuffix = tnmTSuffix;
    }

    public String getTnmNPrefix() {
        return tnmNPrefix;
    }

    public void setTnmNPrefix(String tnmNPrefix) {
        this.tnmNPrefix = tnmNPrefix;
    }

    public String getTnmNWert() {
        return tnmNWert;
    }

    public void setTnmNWert(String tnmNWert) {
        this.tnmNWert = tnmNWert;
    }

    public String getTnmNSuffix() {
        return tnmNSuffix;
    }

    public void setTnmNSuffix(String tnmNSuffix) {
        this.tnmNSuffix = tnmNSuffix;
    }

    public String getTnmMPrefix() {
        return tnmMPrefix;
    }

    public void setTnmMPrefix(String tnmMPrefix) {
        this.tnmMPrefix = tnmMPrefix;
    }

    public String getTnmMWert() {
        return tnmMWert;
    }

    public void setTnmMWert(String tnmMWert) {
        this.tnmMWert = tnmMWert;
    }

    public String getTnmMSuffix() {
        return tnmMSuffix;
    }

    public void setTnmMSuffix(String tnmMSuffix) {
        this.tnmMSuffix = tnmMSuffix;
    }

    public String getlCategory() {
        return lCategory;
    }

    public void setlCategory(String lCategory) {
        this.lCategory = lCategory;
    }

    public String getvCategory() {
        return vCategory;
    }

    public void setvCategory(String vCategory) {
        this.vCategory = vCategory;
    }

    public String getPnCategory() {
        return pnCategory;
    }

    public void setPnCategory(String pnCategory) {
        this.pnCategory = pnCategory;
    }

    public String getsCategory() {
        return sCategory;
    }

    public void setsCategory(String sCategory) {
        this.sCategory = sCategory;
    }

    public Long getPatientConditionNdx() {
        return patientConditionNdx;
    }

    public void setPatientConditionNdx(Long patientConditionNdx) {
        this.patientConditionNdx = patientConditionNdx;
    }

    public String getAfterTherapy() {
        return afterTherapy;
    }

    public void setAfterTherapy(String afterTherapy) {
        this.afterTherapy = afterTherapy;
    }

    public String getAfterTherapyText() {
        return afterTherapyText;
    }

    public void setAfterTherapyText(String afterTherapyText) {
        this.afterTherapyText = afterTherapyText;
    }

    public String getBiochemicalRecurrence() {
        return biochemicalRecurrence;
    }

    public void setBiochemicalRecurrence(String biochemicalRecurrence) {
        this.biochemicalRecurrence = biochemicalRecurrence;
    }

    public String getFreeText() {
        return freeText;
    }

    public void setFreeText(String freeText) {
        this.freeText = freeText;
    }

    public Timestamp getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Timestamp creationDate) {
        this.creationDate = creationDate;
    }

    public String getCreateDepartment() {
        return createDepartment;
    }

    public void setCreateDepartment(String createDepartment) {
        this.createDepartment = createDepartment;
    }

    public Timestamp getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Timestamp updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateDepartment() {
        return updateDepartment;
    }

    public void setUpdateDepartment(String updateDepartment) {
        this.updateDepartment = updateDepartment;
    }
}
