package es.imib.persistence;

import java.io.Serializable;
import java.sql.Timestamp;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//Diagnosen
@Entity
@Table(name = "diagnosen")
public class Diagnosis implements Serializable {
    @Id
    @Column(name = "diagnose_ndx", nullable = false)
    protected Long diagnosisNdx;
    @Column(name = "patient_ndx")
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "ed_jahr")
    protected Long edJahr;
    @Column(name = "diagnosedatum")
    protected Timestamp diagnosisDate;
    @Column(name = "diagnosedatum_geschaetzt")
    protected String estimatedDiagnosisDate;
    @Column(name = "externe_diagnose_ja_nein")
    protected String externDianosisYesNo;
    @Column(name = "tumorentitaet")
    protected String tumorEntity;
    @Column(name = "icd_10")
    protected String icd10;
    @Column(name = "icd_10_text")
    protected String icd10Text;
    @Column(name = "icd_o_lokalisation")
    protected String icdOLocalization;
    @Column(name = "icd_o_lokalisation_text")
    protected String icdOLocalizationText;
    @Column(name = "icd_o_histologie")
    protected String icdOHistologie;
    @Column(name = "icd_o_histologie_text")
    protected String icdOHistologieText;
    @Column(name = "histologisch_gesichert_ja_nein")
    protected String histologicallyYesNo;
    @Column(name = "seite")
    protected String seite;
    @Column(name = "seite_text")    
    protected String seiteText;
    @Column(name = "grading")
    protected String grading;
    @Column(name = "grading_text")    
    protected String gradingText;
    @Column(name = "diagnoseanlass")    
    protected String diagnosisOccasion;
    @Column(name = "diagnoseanlass_text")    
    protected String diagnosisOccasionText;
    @Column(name = "fruehere_tumordiagnose_ja_nein")
    protected String tumorDiagnosisInPreviousYesNo;
    @Column(name = "tumorwandlung_ja_nein")
    protected String tumorTransformationYesNo;
    @Column(name = "c_tnm_version")
    protected String cTnmVersion;
    @Column(name = "c_tnm_stadium")
    protected String cTnmStadium;
    @Column(name = "c_tnm_t_prefix")
    protected String cTnmTPrefix;
    @Column(name = "c_tnm_t_wert")
    protected String cTnmTWert;
    @Column(name = "c_tnm_t_suffix")
    protected String cTnmTSuffix;
    @Column(name = "c_tnm_n_prefix")
    protected String cTnmNPrefix;
    @Column(name = "c_tnm_n_wert")
    protected String cTnmNWert;
    @Column(name = "c_tnm_n_suffix")
    protected String cTnmNSuffix;
    @Column(name = "c_tnm_m_prefix")
    protected String cTnmMPrefix;
    @Column(name = "c_tnm_m_wert")
    protected String cTnmMWert;
    @Column(name = "c_tnm_m_suffix")
    protected String cTnmMSuffix;    
    @Column(name = "p_tnm_version")
    protected String pTnmVersion;
    @Column(name = "p_tnm_stadium")
    protected String pTnmStadium;
    @Column(name = "p_tnm_t_prefix")
    protected String pTnmTPrefix;
    @Column(name = "p_tnm_t_wert")
    protected String pTnmTWert;
    @Column(name = "p_tnm_t_suffix")
    protected String pTnmTSuffix;
    @Column(name = "p_tnm_n_prefix")
    protected String pTnmNPrefix;
    @Column(name = "p_tnm_n_wert")
    protected String pTnmNWert;
    @Column(name = "p_tnm_n_suffix")
    protected String pTnmNSuffix;
    @Column(name = "p_tnm_m_prefix")
    protected String pTnmMPrefix;
    @Column(name = "p_tnm_m_wert")
    protected String pTnmMWert;
    @Column(name = "p_tnm_m_suffix")
    protected String pTnmMSuffix;
    @Column(name = "l_kategorie")
    protected String lCategory;
    @Column(name = "v_kategorie")
    protected String vCategory;
    @Column(name = "pn_kategorie")
    protected String pnCategory;
    @Column(name = "s_kategorie")
    protected String sCategory;
    @Column(name = "lymphknoten_entnommen")    
    protected Long removedLymphNodes;
    @Column(name = "lymphknoten_befallen")
    protected Long infectedLymphNodes;
    @Column(name = "freitext")
    protected String freeText;
    @Column(name = "erstelldatum")
    protected Timestamp creationDate;
    @Column(name = "ersteller_abteilung")
    protected String createDepartment;
    @Column(name = "aenderungsdatum")
    protected Timestamp updateDate;
    @Column(name = "aenderungs_abteilung")
    protected String updateDepartment;

    public Long getDiagnosisNdx() {
        return diagnosisNdx;
    }

    public void setDiagnosisNdx(Long diagnosisNdx) {
        this.diagnosisNdx = diagnosisNdx;
    }

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public Long getEdJahr() {
        return edJahr;
    }

    public void setEdJahr(Long edJahr) {
        this.edJahr = edJahr;
    }

    public Timestamp getDiagnosisDate() {
        return diagnosisDate;
    }

    public void setDiagnosisDate(Timestamp diagnosisDate) {
        this.diagnosisDate = diagnosisDate;
    }

    public String getEstimatedDiagnosisDate() {
        return estimatedDiagnosisDate;
    }

    public void setEstimatedDiagnosisDate(String estimatedDiagnosisDate) {
        this.estimatedDiagnosisDate = estimatedDiagnosisDate;
    }

    public String getExternDianosisYesNo() {
        return externDianosisYesNo;
    }

    public void setExternDianosisYesNo(String externDianosisYesNo) {
        this.externDianosisYesNo = externDianosisYesNo;
    }

    public String getTumorEntity() {
        return tumorEntity;
    }

    public void setTumorEntity(String tumorEntity) {
        this.tumorEntity = tumorEntity;
    }

    public String getIcd10() {
        return icd10;
    }

    public void setIcd10(String icd10) {
        this.icd10 = icd10;
    }

    public String getIcd10Text() {
        return icd10Text;
    }

    public void setIcd10Text(String icd10Text) {
        this.icd10Text = icd10Text;
    }

    public String getIcdOLocalization() {
        return icdOLocalization;
    }

    public void setIcdOLocalization(String icdOLocalization) {
        this.icdOLocalization = icdOLocalization;
    }

    public String getIcdOLocalizationText() {
        return icdOLocalizationText;
    }

    public void setIcdOLocalizationText(String icdOLocalizationText) {
        this.icdOLocalizationText = icdOLocalizationText;
    }

    public String getIcdOHistologie() {
        return icdOHistologie;
    }

    public void setIcdOHistologie(String icdOHistologie) {
        this.icdOHistologie = icdOHistologie;
    }

    public String getIcdOHistologieText() {
        return icdOHistologieText;
    }

    public void setIcdOHistologieText(String icdOHistologieText) {
        this.icdOHistologieText = icdOHistologieText;
    }
    
    public String getHistologicallyYesNo() {
        return histologicallyYesNo;
    }

    public void setHistologicallyYesNo(String histologicallyYesNo) {
        this.histologicallyYesNo = histologicallyYesNo;
    }

    public String getSeite() {
        return seite;
    }

    public void setSeite(String seite) {
        this.seite = seite;
    }

    public String getSeiteText() {
        return seiteText;
    }

    public void setSeiteText(String seiteText) {
        this.seiteText = seiteText;
    }

    public String getGrading() {
        return grading;
    }

    public void setGrading(String grading) {
        this.grading = grading;
    }

    public String getGradingText() {
        return gradingText;
    }

    public void setGradingText(String gradingText) {
        this.gradingText = gradingText;
    }

    public String getDiagnosisOccasion() {
        return diagnosisOccasion;
    }

    public void setDiagnosisOccasion(String diagnosisOccasion) {
        this.diagnosisOccasion = diagnosisOccasion;
    }

    public String getDiagnosisOccasionText() {
        return diagnosisOccasionText;
    }

    public void setDiagnosisOccasionText(String diagnosisOccasionText) {
        this.diagnosisOccasionText = diagnosisOccasionText;
    }

    public String getTumorDianosisInPreviousYesNo() {
        return tumorDiagnosisInPreviousYesNo;
    }

    public void setTumorDianosisInPreviousYesNo(String tumorDianosisInPreviousYesNo) {
        this.tumorDiagnosisInPreviousYesNo = tumorDianosisInPreviousYesNo;
    }

    public String getTumorTransformationYesNo() {
        return tumorTransformationYesNo;
    }

    public void setTumorTransformationYesNo(String tumorTransformationYesNo) {
        this.tumorTransformationYesNo = tumorTransformationYesNo;
    }

    public String getcTnmVersion() {
        return cTnmVersion;
    }

    public void setcTnmVersion(String cTnmVersion) {
        this.cTnmVersion = cTnmVersion;
    }

    public String getcTnmStadium() {
        return cTnmStadium;
    }

    public void setcTnmStadium(String cTnmStadium) {
        this.cTnmStadium = cTnmStadium;
    }

    public String getcTnmTPrefix() {
        return cTnmTPrefix;
    }

    public void setcTnmTPrefix(String cTnmTPrefix) {
        this.cTnmTPrefix = cTnmTPrefix;
    }

    public String getcTnmTWert() {
        return cTnmTWert;
    }

    public void setcTnmTWert(String cTnmTWert) {
        this.cTnmTWert = cTnmTWert;
    }

    public String getcTnmTSuffix() {
        return cTnmTSuffix;
    }

    public void setcTnmTSuffix(String cTnmTSuffix) {
        this.cTnmTSuffix = cTnmTSuffix;
    }

    public String getcTnmNPrefix() {
        return cTnmNPrefix;
    }

    public void setcTnmNPrefix(String cTnmNPrefix) {
        this.cTnmNPrefix = cTnmNPrefix;
    }

    public String getcTnmNWert() {
        return cTnmNWert;
    }

    public void setcTnmNWert(String cTnmNWert) {
        this.cTnmNWert = cTnmNWert;
    }

    public String getcTnmNSuffix() {
        return cTnmNSuffix;
    }

    public void setcTnmNSuffix(String cTnmNSuffix) {
        this.cTnmNSuffix = cTnmNSuffix;
    }

    public String getcTnmMPrefix() {
        return cTnmMPrefix;
    }

    public void setcTnmMPrefix(String cTnmMPrefix) {
        this.cTnmMPrefix = cTnmMPrefix;
    }

    public String getcTnmMWert() {
        return cTnmMWert;
    }

    public void setcTnmMWert(String cTnmMWert) {
        this.cTnmMWert = cTnmMWert;
    }

    public String getcTnmMSuffix() {
        return cTnmMSuffix;
    }

    public void setcTnmMSuffix(String cTnmMSuffix) {
        this.cTnmMSuffix = cTnmMSuffix;
    }

    public String getpTnmVersion() {
        return pTnmVersion;
    }

    public void setpTnmVersion(String pTnmVersion) {
        this.pTnmVersion = pTnmVersion;
    }

    public String getpTnmStadium() {
        return pTnmStadium;
    }

    public void setpTnmStadium(String pTnmStadium) {
        this.pTnmStadium = pTnmStadium;
    }

    public String getpTnmTPrefix() {
        return pTnmTPrefix;
    }

    public void setpTnmTPrefix(String pTnmTPrefix) {
        this.pTnmTPrefix = pTnmTPrefix;
    }

    public String getpTnmTWert() {
        return pTnmTWert;
    }

    public void setpTnmTWert(String pTnmTWert) {
        this.pTnmTWert = pTnmTWert;
    }

    public String getpTnmTSuffix() {
        return pTnmTSuffix;
    }

    public void setpTnmTSuffix(String pTnmTSuffix) {
        this.pTnmTSuffix = pTnmTSuffix;
    }

    public String getpTnmNPrefix() {
        return pTnmNPrefix;
    }

    public void setpTnmNPrefix(String pTnmNPrefix) {
        this.pTnmNPrefix = pTnmNPrefix;
    }

    public String getpTnmNWert() {
        return pTnmNWert;
    }

    public void setpTnmNWert(String pTnmNWert) {
        this.pTnmNWert = pTnmNWert;
    }

    public String getpTnmNSuffix() {
        return pTnmNSuffix;
    }

    public void setpTnmNSuffix(String pTnmNSuffix) {
        this.pTnmNSuffix = pTnmNSuffix;
    }

    public String getpTnmMPrefix() {
        return pTnmMPrefix;
    }

    public void setpTnmMPrefix(String pTnmMPrefix) {
        this.pTnmMPrefix = pTnmMPrefix;
    }

    public String getpTnmMWert() {
        return pTnmMWert;
    }

    public void setpTnmMWert(String pTnmMWert) {
        this.pTnmMWert = pTnmMWert;
    }

    public String getpTnmMSuffix() {
        return pTnmMSuffix;
    }

    public void setpTnmMSuffix(String pTnmMSuffix) {
        this.pTnmMSuffix = pTnmMSuffix;
    }

    public String getlCategory() {
        return lCategory;
    }

    public void setlCategory(String lCategory) {
        this.lCategory = lCategory;
    }

    public String getvCategory() {
        return vCategory;
    }

    public void setvCategory(String vCategory) {
        this.vCategory = vCategory;
    }

    public String getPnCategory() {
        return pnCategory;
    }

    public void setPnCategory(String pnCategory) {
        this.pnCategory = pnCategory;
    }

    public String getsCategory() {
        return sCategory;
    }

    public void setsCategory(String sCategory) {
        this.sCategory = sCategory;
    }

    public Long getRemovedLymphNodes() {
        return removedLymphNodes;
    }

    public void setRemovedLymphNodes(Long removedLymphNodes) {
        this.removedLymphNodes = removedLymphNodes;
    }

    public Long getInfectedLymphNodes() {
        return infectedLymphNodes;
    }

    public void setInfectedLymphNodes(Long infectedLymphNodes) {
        this.infectedLymphNodes = infectedLymphNodes;
    }

    public String getFreeText() {
        return freeText;
    }

    public void setFreeText(String freeText) {
        this.freeText = freeText;
    }

    public Timestamp getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Timestamp creationDate) {
        this.creationDate = creationDate;
    }

    public String getCreateDepartment() {
        return createDepartment;
    }

    public void setCreateDepartment(String createDepartment) {
        this.createDepartment = createDepartment;
    }

    public Timestamp getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Timestamp updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateDepartment() {
        return updateDepartment;
    }

    public void setUpdateDepartment(String updateDepartment) {
        this.updateDepartment = updateDepartment;
    }
}
