package es.imib.persistence;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//medikationen_substanz
@Entity
@Table(name = "medikationen_substanz")
public class MedicationSubstance implements Serializable {
    @Id
    @Column(name = "substanz_ndx", nullable = false)
    protected Long substanceNdx;
    @Column(name = "massnahme_ndx")
    protected Long massnahmeNdx;
    @Column(name = "bezeichnung")
    protected String designation;
    @Column(name = "gesamtdosis")
    protected Long totalDose;
    @Column(name = "einzeldosis")
    protected Long singleDose;
    @Column(name = "einheit")
    protected String unit;
    @Column(name = "applikationsart")
    protected String administration;
    @Column(name = "applikationsart_text")
    protected String administrationText;
    @Column(name = "substitution_ja_nein")
    protected String substitutionYesNo;
    @Column(name = "dosismodifikation")
    protected String doseModification;
    @Column(name = "dosismodifikation_text")
    protected String doseModificationText;
    @Column(name = "dosismodifikation_anmerkung")
    protected String doseModificationNote;
    @Column(name = "anmerkung")
    protected String note;

    public Long getSubstanceNdx() {
        return substanceNdx;
    }

    public void setSubstanceNdx(Long substanceNdx) {
        this.substanceNdx = substanceNdx;
    }

    public Long getMassnahmeNdx() {
        return massnahmeNdx;
    }

    public void setMassnahmeNdx(Long massnahmeNdx) {
        this.massnahmeNdx = massnahmeNdx;
    }

    public String getDesignation() {
        return designation;
    }

    public void setDesignation(String designation) {
        this.designation = designation;
    }

    public Long getTotalDose() {
        return totalDose;
    }

    public void setTotalDose(Long totalDose) {
        this.totalDose = totalDose;
    }

    public Long getSingleDose() {
        return singleDose;
    }

    public void setSingleDose(Long singleDose) {
        this.singleDose = singleDose;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getAdministration() {
        return administration;
    }

    public void setAdministration(String administration) {
        this.administration = administration;
    }

    public String getAdministrationText() {
        return administrationText;
    }

    public void setAdministrationText(String administrationText) {
        this.administrationText = administrationText;
    }

    public String getSubstitutionYesNo() {
        return substitutionYesNo;
    }

    public void setSubstitutionYesNo(String substitutionYesNo) {
        this.substitutionYesNo = substitutionYesNo;
    }

    public String getDoseModification() {
        return doseModification;
    }

    public void setDoseModification(String doseModification) {
        this.doseModification = doseModification;
    }

    public String getDoseModificationText() {
        return doseModificationText;
    }

    public void setDoseModificationText(String doseModificationText) {
        this.doseModificationText = doseModificationText;
    }

    public String getDoseModificationNote() {
        return doseModificationNote;
    }

    public void setDoseModificationNote(String doseModificationNote) {
        this.doseModificationNote = doseModificationNote;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
