package es.imib.persistence;

import java.io.Serializable;
import java.sql.Timestamp;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//metastasen
@Entity
@Table(name = "metastasen")
public class Metastases implements Serializable {
    @Id
    @Column(name = "metastase_ndx", nullable = false)
    protected Long metastaseNdx;    
    @Column(name = "metastasen_typ")
    protected String mestastaseTyp;
    @Column(name = "verlauf_ndx")
    protected Long courseNdx;
    @Column(name = "diagnose_ndx")
    protected Long diagnosisNdx;
    @Column(name = "patient_ndx")
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "lokalisation")
    protected String localization;
    @Column(name = "lokalisation_text")
    protected String localizationText;
    @Column(name = "icd_o_lokalisation")
    protected String icdOLocalization;
    @Column(name = "icd_o_lokalisation_text")
    protected String icdOLocalizationText;
    @Column(name = "sicherungsdatum")
    protected Timestamp assuranceDate;
    @Column(name = "sicherungsdatum_geschaetzt")
    protected String assuranceDateValued;
    @Column(name = "solitaer_oder_multipel")
    protected String solitaerOrMultiple;
    @Column(name = "seite")
    protected String page;
    @Column(name = "seite_text")
    protected String pageText;
    @Column(name = "tumorgeschehen")
    protected String tumorHappen;
    @Column(name = "tumorgeschehen_text")
    protected String tumorHappenText;
    @Column(name = "lk_icd_o_lokalisation")
    protected String lkIcdOLocalization;
    @Column(name = "lk_icd_o_lokalisation_text")
    protected String lkIcdOLocalizationText;

    public Long getMetastaseNdx() {
        return metastaseNdx;
    }

    public void setMetastaseNdx(Long metastaseNdx) {
        this.metastaseNdx = metastaseNdx;
    }

    public String getMestastaseTyp() {
        return mestastaseTyp;
    }

    public void setMestastaseTyp(String mestastaseTyp) {
        this.mestastaseTyp = mestastaseTyp;
    }

    public Long getCourseNdx() {
        return courseNdx;
    }

    public void setCourseNdx(Long courseNdx) {
        this.courseNdx = courseNdx;
    }

    public Long getDiagnosisNdx() {
        return diagnosisNdx;
    }

    public void setDiagnosisNdx(Long diagnosisNdx) {
        this.diagnosisNdx = diagnosisNdx;
    }

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public String getLocalization() {
        return localization;
    }

    public void setLocalization(String localization) {
        this.localization = localization;
    }

    public String getLocalizationText() {
        return localizationText;
    }

    public void setLocalizationText(String localizationText) {
        this.localizationText = localizationText;
    }

    public String getIcdOLocalization() {
        return icdOLocalization;
    }

    public void setIcdOLocalization(String icdOLocalization) {
        this.icdOLocalization = icdOLocalization;
    }

    public String getIcdOLocalizationText() {
        return icdOLocalizationText;
    }

    public void setIcdOLocalizationText(String icdOLocalizationText) {
        this.icdOLocalizationText = icdOLocalizationText;
    }

    public Timestamp getAssuranceDate() {
        return assuranceDate;
    }

    public void setAssuranceDate(Timestamp assuranceDate) {
        this.assuranceDate = assuranceDate;
    }

    public String getAssuranceDateValued() {
        return assuranceDateValued;
    }

    public void setAssuranceDateValued(String assuranceDateValued) {
        this.assuranceDateValued = assuranceDateValued;
    }

    public String getSolitaerOrMultiple() {
        return solitaerOrMultiple;
    }

    public void setSolitaerOrMultiple(String solitaerOrMultiple) {
        this.solitaerOrMultiple = solitaerOrMultiple;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getPageText() {
        return pageText;
    }

    public void setPageText(String pageText) {
        this.pageText = pageText;
    }

    public String getTumorHappen() {
        return tumorHappen;
    }

    public void setTumorHappen(String tumorHappen) {
        this.tumorHappen = tumorHappen;
    }

    public String getTumorHappenText() {
        return tumorHappenText;
    }

    public void setTumorHappenText(String tumorHappenText) {
        this.tumorHappenText = tumorHappenText;
    }

    public String getLkIcdOLocalization() {
        return lkIcdOLocalization;
    }

    public void setLkIcdOLocalization(String lkIcdOLocalization) {
        this.lkIcdOLocalization = lkIcdOLocalization;
    }

    public String getLkIcdOLocalizationText() {
        return lkIcdOLocalizationText;
    }

    public void setLkIcdOLocalizationText(String lkIcdOLocalizationText) {
        this.lkIcdOLocalizationText = lkIcdOLocalizationText;
    }
}
