package es.imib.persistence;

import java.io.Serializable;
import java.sql.Timestamp;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

//therapien
@Entity
@Table(name = "therapien")
public class Therapy implements Serializable {

    @Id
    @Column(name = "massnahme_ndx", nullable = false)
    protected Long measureNdx;
    @Column(name = "art_code")
    protected Long artCode;
    @Column(name = "art_abkuerzung")
    protected String artAcronym;
    @Column(name = "art_text")
    protected String artText;
    @Column(name = "bezeichnung_code")
    protected Long designationCode;
    @Column(name = "bezeichnung_abkuerzung")
    protected String designationAcronym;
    @Column(name = "bezeichnung_text")
    protected String designationText;
    @Column(name = "detail_code")
    protected Long detailCode;
    @Column(name = "detail_text")
    protected String detailText;
    @Column(name = "detail_freitext")
    protected String detailFreeText;
    @Column(name = "diagnose_ndx")
    protected Long dianosisNdx;
    @Column(name = "patient_ndx")
    protected Long patientNdx;
    @Column(name = "piz")
    protected Long piz;
    @Column(name = "piz_text")
    protected Long pizText;
    @Column(name = "beginn_jahr")
    protected Long startYear;
    @Column(name = "beginndatum")
    protected Timestamp startDate;    
    @Column(name = "beginndatum_geschaetzt")
    protected String startDateValued;
    @Column(name = "enddatum")
    protected Timestamp endDate;
    @Column(name = "enddatum_geschaetzt")
    protected String endDateValued;
    @Column(name = "extern_durchgefuehrt_ja_nein")
    protected String carriedOutExternallyYesNo;
    @Column(name = "durchfuehrungsstatus")
    protected String durchfuehrungsstatus;
    @Column(name = "durchfuehrungsstatus_text")
    protected String durchfuehrungsstatusText;
    @Column(name = "studie_ndx")
    protected Long studyNdx;
    @Column(name = "op_residualklassifikation_lokal")
    protected String opResidualClassificationLocally;
    @Column(name = "freitext")
    protected String freeText;
    @Column(name = "erstelldatum")
    protected Timestamp creationDate;
    @Column(name = "ersteller_abteilung")
    protected String createDepartment;
    @Column(name = "aenderungsdatum")
    protected Timestamp updateDate;
    @Column(name = "aenderungs_abteilung")
    protected String updateDepartment;

    public Long getMeasureNdx() {
        return measureNdx;
    }

    public void setMeasureNdx(Long measureNdx) {
        this.measureNdx = measureNdx;
    }

    public Long getArtCode() {
        return artCode;
    }

    public void setArtCode(Long artCode) {
        this.artCode = artCode;
    }

    public String getArtAcronym() {
        return artAcronym;
    }

    public void setArtAcronym(String artAcronym) {
        this.artAcronym = artAcronym;
    }

    public String getArtText() {
        return artText;
    }

    public void setArtText(String artText) {
        this.artText = artText;
    }

    public Long getDesignationCode() {
        return designationCode;
    }

    public void setDesignationCode(Long designationCode) {
        this.designationCode = designationCode;
    }

    public String getDesignationAcronym() {
        return designationAcronym;
    }

    public void setDesignationAcronym(String designationAcronym) {
        this.designationAcronym = designationAcronym;
    }

    public String getDesignationText() {
        return designationText;
    }

    public void setDesignationText(String designationText) {
        this.designationText = designationText;
    }

    public Long getDetailCode() {
        return detailCode;
    }

    public void setDetailCode(Long detailCode) {
        this.detailCode = detailCode;
    }

    public String getDetailText() {
        return detailText;
    }

    public void setDetailText(String detailText) {
        this.detailText = detailText;
    }

    public String getDetailFreeText() {
        return detailFreeText;
    }

    public void setDetailFreeText(String detailFreeText) {
        this.detailFreeText = detailFreeText;
    }

    public Long getDianosisNdx() {
        return dianosisNdx;
    }

    public void setDianosisNdx(Long dianosisNdx) {
        this.dianosisNdx = dianosisNdx;
    }

    public Long getPatientNdx() {
        return patientNdx;
    }

    public void setPatientNdx(Long patientNdx) {
        this.patientNdx = patientNdx;
    }

    public Long getPiz() {
        return piz;
    }

    public void setPiz(Long piz) {
        this.piz = piz;
    }

    public Long getPizText() {
        return pizText;
    }

    public void setPizText(Long pizText) {
        this.pizText = pizText;
    }

    public Long getStartYear() {
        return startYear;
    }

    public void setStartYear(Long startYear) {
        this.startYear = startYear;
    }

    public Timestamp getStartDate() {
        return startDate;
    }

    public void setStartDate(Timestamp startDate) {
        this.startDate = startDate;
    }

    public String getStartDateValued() {
        return startDateValued;
    }

    public void setStartDateValued(String startDateValued) {
        this.startDateValued = startDateValued;
    }

    public Timestamp getEndDate() {
        return endDate;
    }

    public void setEndDate(Timestamp endDate) {
        this.endDate = endDate;
    }

    public String getEndDateValued() {
        return endDateValued;
    }

    public void setEndDateValued(String endDateValued) {
        this.endDateValued = endDateValued;
    }

    public String getCarriedOutExternallyYesNo() {
        return carriedOutExternallyYesNo;
    }

    public void setCarriedOutExternallyYesNo(String carriedOutExternallyYesNo) {
        this.carriedOutExternallyYesNo = carriedOutExternallyYesNo;
    }

    public String getDurchfuehrungsstatus() {
        return durchfuehrungsstatus;
    }

    public void setDurchfuehrungsstatus(String durchfuehrungsstatus) {
        this.durchfuehrungsstatus = durchfuehrungsstatus;
    }

    public String getDurchfuehrungsstatusText() {
        return durchfuehrungsstatusText;
    }

    public void setDurchfuehrungsstatusText(String durchfuehrungsstatusText) {
        this.durchfuehrungsstatusText = durchfuehrungsstatusText;
    }

    public Long getStudyNdx() {
        return studyNdx;
    }

    public void setStudyNdx(Long studyNdx) {
        this.studyNdx = studyNdx;
    }

    public String getOpResidualClassificationLocally() {
        return opResidualClassificationLocally;
    }

    public void setOpResidualClassificationLocally(String opResidualClassificationLocally) {
        this.opResidualClassificationLocally = opResidualClassificationLocally;
    }

    public String getFreeText() {
        return freeText;
    }

    public void setFreeText(String freeText) {
        this.freeText = freeText;
    }

    public Timestamp getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Timestamp creationDate) {
        this.creationDate = creationDate;
    }

    public String getCreateDepartment() {
        return createDepartment;
    }

    public void setCreateDepartment(String createDepartment) {
        this.createDepartment = createDepartment;
    }

    public Timestamp getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Timestamp updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateDepartment() {
        return updateDepartment;
    }

    public void setUpdateDepartment(String updateDepartment) {
        this.updateDepartment = updateDepartment;
    }
}
