package es.imib.persistence.daos;

import java.io.Serializable;
import java.util.List;
import java.util.StringTokenizer;

public class UtilDAO implements Serializable {

    public static String sortColumname(String sortColumnName, boolean ascending) {
        String queryString = "";
        if (sortColumnName != null && !sortColumnName.trim().isEmpty()) {
            queryString += " order by " + sortColumnName;
            if (ascending) {
                queryString += " asc ";
            } else {
                queryString += " desc ";
            }
        }
        return queryString;
    }

    public static String generarConsultaString(String campo, String texto) {
        String result = null;
        StringTokenizer st = new StringTokenizer(texto, " ");
        while (st.hasMoreElements()) {
            String s = st.nextToken();
            s = s.trim();
            if (s.length() > 4) {
                if (result == null) {
                    result = "( " + campo + " = '% " + s + "%' ";
                    continue;
                }
                result += " and " + campo + " = '%" + s + "%' ";
            }
        }
        if (result != null) {
            result += " ) ";
        }
        return result;
    }

    public static String getTableName(String className) {
        return className.substring(className.lastIndexOf(".") + 1);
    }

    public static String getNativeTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        String result = "" + name.charAt(0);
        for (int i = 1; i < name.length(); i++) {
            char c = name.charAt(i);
            if ((c >= 'A') && (c <= 'Z')) {
                result += "_" + c;
            } else {
                result += c;
            }
        }
        return result.toLowerCase();
    }

    public static String getNativeInstanceTableName(String className) {
        return "instance_" + getNativeTableName(className);
    }

    public static String getNativeInstancePortalTableName(String className) {
        return "portal_instance_" + getNativeTableName(className);
    }

    public static String getInstanceTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        return "Instance" + name;
    }

    public static String getInstanceTableNameClass(String className) {
        String path = className.substring(0, className.lastIndexOf("."));
        return path + "." + getInstanceTableName(className);
    }

    public static String getInstancePortalTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        return "PortalInstance" + name;
    }

    public static String getInstancePortalTableNameClass(String className) {
        String path = className.substring(0, className.lastIndexOf("."));
        return path + "." + getInstancePortalTableName(className);
    }

    public static String getSecurityUsuarioTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        return "UsuarioSeguridad" + name;
    }

    public static String getNativeSecurityUsuarioTableName(String className) {
        return "usuario_seguridad_" + getNativeTableName(className);
    }

    public static String getSecurityUnidadTrabajoTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        return "UnidadTrabajoSeguridad" + name;
    }

    public static String getNativeSecurityUnidadTrabajoTableName(String className) {
        return "unidad_trabajo_seguridad_" + getNativeTableName(className);
    }

    public static String getNativeTagTableName(String className) {
        return "tag_" + getNativeTableName(className);
    }

    public static String getTagTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        return "Tag" + name;
    }

    public static String getNativeProcesoTableName(String className) {
        return "proceso_" + getNativeTableName(className);
    }

    public static String getProcesoTableName(String className) {
        String name = className.substring(className.lastIndexOf(".") + 1);
        return "Proceso" + name;
    }

    public static String getQueryWithMultipleInteger(List<Integer> exb) {
        String s = " (0";
        if (exb != null) {
            for (int i = 0; i < exb.size(); i++) {
                s += "," + exb.get(i);
            }
        }
        return s + " )";
    }
    
    public static String getQueryWithMultipleLong(List<Long> exb) {
        String s = " (0";
        if (exb != null) {
            for (int i = 0; i < exb.size(); i++) {
                s += "," + exb.get(i);
            }
        }
        return s + " )";
    }
}
