package es.imib.semantic.web;

import es.imib.cccf.semantic.beans.PatientBean;
import es.imib.jsf.JSFUtil;
import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class PatientSemanticWeb implements Serializable {
    protected PatientBean patientBean;
    protected String id;
    protected boolean error;

    public PatientSemanticWeb() {
        id = JSFUtil.getStringHttpRequestParameter("id");
        if (id == null) {
            error = true;
            return;
        }
        patientBean = new PatientBean(id, "Patient");
        if (patientBean.getUri() == null) {
            error = true;
            return;
        }
    }

    public PatientBean getPatientBean() {
        return patientBean;
    }

    public String getId() {
        return id;
    }

    public boolean isError() {
        return error;
    }
}
